# ARGV.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Unbounded_Queue.h"`
`#include "ace/ARGV.inl"`

Include dependency graph for ARGV.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_ARGV
| Builds a counted argument vector (ala argc/argv) from either a string or a set of separate tokens. Can substitute environment variable values for tokens that are environment variable references. More...

## Detailed Description

Id
  ARGV.h,v 4.36 2005/10/28 16:14:51 ossama Exp

Author:
  Doug Schmidt <schmidt@cs.wustl.edu>

  Everett Anderson <eea1@cs.wustl.edu>